std::is_pointer_interconvertible_base_of< _Base, _Derived >(3cxx)

NAME
std::is_pointer_interconvertible_base_of< _Base, _Derived > - True if _Derived is standard-layout and has a base class of type _Base

SYNOPSIS

Inherits std::integral_constant< _Tp, __v >.

  Public Types

typedef integral_constant< _Tp, __v > type
typedef _Tp value_type

  Public Member Functions

constexpr operator value_type () const noexcept
constexpr value_type operator() () const noexcept

  Static Public Attributes

static constexpr _Tp value

Detailed Description

  template<typename _Base, typename _Derived>
struct std::is_pointer_interconvertible_base_of< _Base, _Derived >" True if _Derived is standard-layout and has a base class of type _Base

Since
    C++20

Author

Generated automatically by Doxygen for libstdc++ from the source code.